%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-mustache
Version:    0.8.2
Release:    1%{?dist}
Summary:    mustache.js is an implementation of the mustache template system in JavaScript
License:    MIT
URL:        https://github.com/janl/mustache.js
Source:     http://registry.npmjs.org/mustache/-/mustache-%{version}.tgz


BuildArch:  noarch

BuildRequires:  nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
Mustache.js is an implementation of the mustache template system in JavaScript

%prep
%setup -q -n package



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mustache
cp -pr mustache.js mustache.js.nuspec Rakefile package.json wrappers/ \
    %{buildroot}%{nodejs_sitelib}/mustache
%nodejs_symlink_deps 

%if 0%{?enable_tests}
%check
mocha test
%endif

%files
%doc LICENSE CHANGES README.md 
%{nodejs_sitelib}/mustache


%changelog
* Thu Sep 04 2014 Anish Patil <apatil@redhat.com> - 0.8.2-1
- Initial package
